<?php /* Template Name: Easy Sermon Archive */
get_header(); ?>
<div class="easy-sermon-container">
	<h1>Sermon archive</h1>
    <p>Here you can find all the sermons which are available for listening on the website. If you want to listen as a podcast, 
    you can  <a href="<?php get_site_url(); ?>/?feed=sermonspodcast">subscribe using iTunes</a>.</p>
<?php
global $query_string;
query_posts("post_type=easysermon&post_status=publish&posts_per_page=10");
if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>
	<div class="sermon-item">
		<h2><?php the_title(); ?></h2>
		<div class="easy-sermon-extra-info">
			Sermon from <?php the_date(); ?> by <?php the_author(); ?> in <?php the_category(); ?>
		</div>
<?php the_excerpt(); ?>
		<p><a href="<?
			if(get_post_meta($post->ID, "_upload", true) != "") {
				echo get_post_meta($post->ID, "_upload", true); 	
			} else {
				echo get_post_meta($post->ID, "_url", true); 
			} 
		?>">Listen Now</a></p>
		
	</div>
<?php endwhile;
endif; ?>
<div class="navigation">
	<div class="alignleft"><?php next_posts_link('Previous entries') ?></div>
	<div class="alignright"><?php previous_posts_link('Next entries') ?></div>
</div>
<?php wp_reset_query(); ?>
</div>

<?php get_sidebar(); ?>
<?php get_footer();?>